'use client';
import { ApiClientModalProvider, useApiClientModal } from '@scalar/api-client-react';
import { useEffect, useImperativeHandle, useRef, useState } from 'react';
import { createPortal } from 'react-dom';
import { useOpenAPIOperationContext } from './OpenAPIOperationContext';
import { useEventCallback } from 'usehooks-ts';
/**
 * Button which launches the Scalar API Client
 */
export function ScalarApiButton(_a) {
    var method = _a.method, path = _a.path, specUrl = _a.specUrl;
    var _b = useState(false), isOpen = _b[0], setIsOpen = _b[1];
    var controllerRef = useRef(null);
    return (<div className="scalar scalar-activate">
            <button className="scalar-activate-button button" onClick={function () {
            var _a, _b;
            (_b = (_a = controllerRef.current) === null || _a === void 0 ? void 0 : _a.openClient) === null || _b === void 0 ? void 0 : _b.call(_a);
            setIsOpen(true);
        }}>
                <svg xmlns="http://www.w3.org/2000/svg" width="10" height="12" fill="none">
                    <path stroke="currentColor" strokeWidth="1.5" d="M1 10.05V1.43c0-.2.2-.31.37-.22l7.26 4.08c.17.1.17.33.01.43l-7.26 4.54a.25.25 0 0 1-.38-.21Z"/>
                </svg>
                Test it
            </button>

            {isOpen &&
            createPortal(<ScalarModal controllerRef={controllerRef} method={method} path={path} specUrl={specUrl}/>, document.body)}
        </div>);
}
function ScalarModal(props) {
    return (<ApiClientModalProvider configuration={{ spec: { url: props.specUrl } }} initialRequest={{ path: props.path, method: props.method }}>
            <ScalarModalController method={props.method} path={props.path} controllerRef={props.controllerRef}/>
        </ApiClientModalProvider>);
}
function ScalarModalController(props) {
    var client = useApiClientModal();
    var openClient = client === null || client === void 0 ? void 0 : client.open;
    useImperativeHandle(props.controllerRef, function () { return ({ openClient: openClient ? function () { return openClient(); } : undefined }); }, [openClient]);
    // Open the client when the component is mounted.
    var onOpenClient = useOpenAPIOperationContext().onOpenClient;
    var trackOpening = useEventCallback(function () {
        onOpenClient({ method: props.method, path: props.path });
    });
    useEffect(function () {
        if (openClient) {
            openClient();
            trackOpening();
        }
    }, [openClient]);
    return null;
}
