import type { OpenAPICustomOperationProperties, OpenAPICustomSpecProperties, OpenAPIV3 } from '@gitbook/openapi-parser';
export interface OpenAPIContextProps extends OpenAPIClientContext {
    CodeBlock: React.ComponentType<{
        code: string;
        syntax: string;
    }>;
    /** Spec url for the Scalar Api Client */
    specUrl: string;
}
export interface OpenAPIClientContext {
    icons: {
        chevronDown: React.ReactNode;
        chevronRight: React.ReactNode;
        plus: React.ReactNode;
    };
    /**
     * Force all sections to be opened by default.
     * @default false
     */
    defaultInteractiveOpened?: boolean;
    /**
     * The key of the block
     */
    blockKey?: string;
    /** Optional id attached to the OpenAPI Operation heading and used as an anchor */
    id?: string;
}
export interface OpenAPIOperationData extends OpenAPICustomSpecProperties {
    path: string;
    method: string;
    /** Servers to be used for this operation */
    servers: OpenAPIV3.ServerObject[];
    /** Spec of the operation */
    operation: OpenAPIV3.OperationObject<OpenAPICustomOperationProperties>;
    /** Securities that should be used for this operation */
    securities: [string, OpenAPIV3.SecuritySchemeObject][];
}
