export function noReference(input) {
    if (checkIsReference(input)) {
        throw new Error('Reference found');
    }
    return input;
}
export function checkIsReference(input) {
    return typeof input === 'object' && !!input && '$ref' in input;
}
export function createStateKey(key, scope) {
    return scope ? "".concat(scope, "_").concat(key) : key;
}
/**
 * Resolve the description of an object.
 */
export function resolveDescription(object) {
    return 'x-description-html' in object && typeof object['x-description-html'] === 'string'
        ? object['x-description-html']
        : typeof object.description === 'string'
            ? object.description
            : undefined;
}
